<?php
/* ---------------------------------------------------------------------------
 *  クラス・オブジェクト：-- ◆PHPクラスのオートローディング◆ --の例
 *  2015.10.15 作成 yoshi of CXMedia Inc.
 * ---------------------------------------------------------------------------
 */

/* --------------------------
 *  __autoload関数の利用
 * -------------------------- */
// 「php_class」フォルダ内にクラス定義したプログラムがあり、
// ファイル名が「xxx.class.php」の条件のときの記述
function __autoload($name) {
    $filename = "php_class/{$name}.class.php";
    include_once($filename);
}
/* --------------
 *  クラスの利用
 * -------------- */
// 利用するクラス定義のプログラムを「require_once」する必要がなく、インスタンス化可能
$obj = new MyClassAuto();

?>
